edu.isi.pegasus.planner.transfer.mapper

## Class OutputMapperFactory

- java.lang.Object
- - edu.isi.pegasus.planner.transfer.mapper.OutputMapperFactory

    public class OutputMapperFactory
    extends java.lang.Object

The factory class that loads an appropriate Transfer OutputMapper class, as specified by the properties.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `DEFAULT_OUTPUT_MAPPER_IMPLEMENTATION` The default mapper implementation that is picked up.
`static java.lang.String` `DEFAULT_PACKAGE_NAME` The default package where the implementations reside, which this factory loads.
`static java.lang.String` `HASHED_OUTPUT_MAPPER_IMPLEMENTATION` The Hashed mapper implementation to be used.
`static java.lang.String` `PROPERTY_KEY` The prefix for the property subset for connecting to the individual catalogs.

### Constructor Summary

Constructors
Constructor and Description
`OutputMapperFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static OutputMapper` `loadInstance(ADag dag, PegasusBag bag)` Loads the implementing class corresponding to the value specified in the properties.
`static OutputMapper` `loadInstance(java.lang.String className, PegasusBag bag, ADag dag)` Loads the implementing class corresponding to the class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PACKAGE_NAME

    public static final java.lang.String DEFAULT_PACKAGE_NAME

The default package where the implementations reside, which this factory loads.

See Also:
  Constant Field Values

#### PROPERTY_KEY

    public static final java.lang.String PROPERTY_KEY

The prefix for the property subset for connecting to the individual catalogs.

See Also:
  Constant Field Values

#### DEFAULT_OUTPUT_MAPPER_IMPLEMENTATION

    public static final java.lang.String DEFAULT_OUTPUT_MAPPER_IMPLEMENTATION

The default mapper implementation that is picked up.

See Also:
  Constant Field Values

#### HASHED_OUTPUT_MAPPER_IMPLEMENTATION

    public static final java.lang.String HASHED_OUTPUT_MAPPER_IMPLEMENTATION

The Hashed mapper implementation to be used.

See Also:
  Constant Field Values

### Constructor Detail

#### OutputMapperFactory

    public OutputMapperFactory()

### Method Detail

#### loadInstance

    public static OutputMapper loadInstance(ADag dag,
                                            PegasusBag bag)
                                     throws OutputMapperFactoryException

Loads the implementing class corresponding to the value specified in the properties. If the package name is not specified with the class, then class is assumed to be in the DEFAULT_PACKAGE. The properties object passed should not be null.

In addition it ends up loading the appropriate Transfer Implementation that is required by the mapper.

Parameters:
  `dag` - the workflow that is being refined.
  `bag` - the bag of initialization objects
Returns:
  the instance of the class implementing this interface.
Throws:
  `TransferOutputMapperException` - that nests any error that might occur during the instantiation.
  `OutputMapperFactoryException`
See Also:
  `DEFAULT_PACKAGE_NAME`

#### loadInstance

    public static OutputMapper loadInstance(java.lang.String className,
                                            PegasusBag bag,
                                            ADag dag)
                                     throws OutputMapperFactoryException

Loads the implementing class corresponding to the class. If the package name is not specified with the class, then class is assumed to be in the DEFAULT_PACKAGE. The properties object passed should not be null. In addition it ends up loading the appropriate Transfer Implementation that is required by the mapper.

Parameters:
  `className` - the name of the class that implements the mode.It can or cannot be with the package name.
  `bag` - the bag of initialization objects
  `dag` - the workflow that is being refined.
Returns:
  the instance of the class implementing this interface.
Throws:
  `OutputMapperFactoryException` - that nests any error that might occur during the instantiation.
See Also:
  `DEFAULT_PACKAGE_NAME`